# OpenLayers.Layer.GML

Create a vector layer by parsing a GML file. The GML file is passed in as a parameter. Deprecated. To be removed in 3.0. Instead use OpenLayers.Layer.Vector with Protocol.HTTP and Strategy.Fixed. Provide the protocol with a format parameter to get the parser you want for your data.

#### Inherits from

- OpenLayers.Layer.Vector

Summary

OpenLayers.Layer.GML | Create a vector layer by parsing a GML file.
Properties |
format | {OpenLayers.Format} The format you want the data to be parsed with.
formatOptions | {Object} Hash of options which should be passed to the format when it is created.
Constructor |
OpenLayers.Layer.GML | Load and parse a single file on the web, according to the format provided via the ‘format’ option, defaulting to GML.
Functions |
setVisibility | Set the visibility flag for the layer and hide/show&redraw accordingly.

### Properties

### format

{OpenLayers.Format} The format you want the data to be parsed with.

### formatOptions

{Object} Hash of options which should be passed to the format when it is created. Must be passed in the constructor.

### Constructor

### OpenLayers.Layer.GML

Load and parse a single file on the web, according to the format provided via the ‘format’ option, defaulting to GML.

#### Parameters

name | {String}
url | {String} URL of a GML file.
options | {Object} Hashtable of extra options to tag onto the layer.

### Functions

### setVisibility

> setVisibility: function( | visibility,
> | noEvent | )

Set the visibility flag for the layer and hide/show&redraw accordingly. Fire event unless otherwise specified GML will be loaded if the layer is being made visible for the first time.

#### Parameters

visible | {Boolean} Whether or not to display the layer (if in range)
noEvent | {Boolean}

Base class for format reading/writing a variety of formats.

> setVisibility: function( | visibility,
> | noEvent | )

Set the visibility flag for the layer and hide/show&redraw accordingly.
Instances of OpenLayers.Layer.Vector are used to render vector data from a variety of sources.
Close